# Puppet pipeline jobs
#
# These jobs will trigger a puppet run on the members of
# the specified host group. This is the final stage of
# a deploy process and should be run after the RPM, or
# other artifact, is available for installation.
#
# Deploying artifacts to test and production have different
# requirements are therefore different jobs. Since these
# jobs are dependent on the success of the deploy jobs, we
# must also separate these in order to use the appropriate
# dependencies.

.apply_template:
  extends: .onPrem-runner-tags
  stage: apply
  image: registry.gitlab.com/miamioh/uit/operations/build-images-pipeline/build:run-puppet
  before_script: []
  script:
    - run -h $DEPLOY_HOSTGROUP
  environment:
    name: $CI_COMMIT_REF_NAME

apply-puppet-test:
  extends: .apply_template
  dependencies:
    - deploy-rpm-test
  only:
    - test

apply-puppet-prod:
  extends: .apply_template
  dependencies:
    - deploy-rpm-prod
  only:
    - production
    - shared_services
